# $Revision: 1.32 $, $Date: 2004/09/19 22:09:08 $
Summary:	Provides a seperate frame with convenient references
Summary(pl):	Speedbar - oddzielna ramka z wygodnymi odnonikami
Name:		xemacs-speedbar-pkg
%define 	srcname	speedbar
Version:	1.27
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	4df8d109364493dca814ef7429d560d2
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The speedbar provides a frame in which files, and locations in files
are displayed. These items can be clicked on with mouse-2 in order to
make the last active frame display that file location.

%description -l pl
Speedbar dodaje ramk, w ktrej s wywietlane pliki i miejsca w
plikach. Te rzeczy mog by kliknite przy uyciu mouse-2, aby
ostatnia aktywna ramka wywietlaa to miejsce pliku.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/speedbar/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-speedbar-pkg.spec,v $
Revision 1.32  2004/09/19 22:09:08  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.31  2003/11/26 16:06:47  speedy
updated to  1.27

Revision 1.30  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.29  2003/05/28 13:03:06  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:28:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.26  2002/11/21 16:52:03  mis
- autoupdated to 1.24

Revision 1.25  2002/04/18 14:17:10  wiget
updated to 1.23

Revision 1.24  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.23  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/27 19:43:59  kloczek
- updated to 1.22.

Revision 1.20  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/12/20 13:43:39  qboosh
- pl description, release 2

Revision 1.18  2001/08/28 06:46:25  kloczek
- updated to 1.21.

Revision 1.17  2001/08/02 08:44:53  mis
- autoupdated to 1.20

Revision 1.16  2001/05/27 18:53:23  kloczek
- spec adapterized.

Revision 1.15  2001/05/11 18:52:07  mis
- autoupdated to 1.19

Revision 1.14  2001/02/13 18:36:33  mis
- updated to 1.18

Revision 1.13  2000/11/29 13:35:24  wiget
new versions (massive upgrade)

Revision 1.12  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.11  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/21 19:48:11  kloczek
- spec adapterized.

Revision 1.8  2000/04/04 16:00:37  kloczek
- added %description.

Revision 1.7  2000/04/04 14:49:19  klakier
- opisy

Revision 1.6  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.3  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.2  2000/02/07 22:59:39  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
